Evaluations
Create Evaluation
Preview. Usable today, but this endpoint can change before it is stable, without a new Kite-Version. Changes are announced before they ship.
POST
/
v1
/
evaluations
Create Evaluation
curl --request POST \
--url https://api.kiteml.com/v1/evaluations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"policy": {
"type": "gr00t",
"hf_repo": "<string>",
"hf_subdir": "<string>",
"training_run_id": "<string>",
"embodiment_tag": "<string>",
"config_yaml": "<string>"
},
"scenarios": [
"<string>"
],
"episodes_per_scenario": 5,
"variation": {},
"record": {
"viewport": true,
"cameras": true
},
"engine": "isaac_lab",
"label": "<string>",
"metadata": {},
"webhook_metadata": {}
}
'import requests
url = "https://api.kiteml.com/v1/evaluations"
payload = {
"policy": {
"type": "gr00t",
"hf_repo": "<string>",
"hf_subdir": "<string>",
"training_run_id": "<string>",
"embodiment_tag": "<string>",
"config_yaml": "<string>"
},
"scenarios": ["<string>"],
"episodes_per_scenario": 5,
"variation": {},
"record": {
"viewport": True,
"cameras": True
},
"engine": "isaac_lab",
"label": "<string>",
"metadata": {},
"webhook_metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
policy: {
type: 'gr00t',
hf_repo: '<string>',
hf_subdir: '<string>',
training_run_id: '<string>',
embodiment_tag: '<string>',
config_yaml: '<string>'
},
scenarios: ['<string>'],
episodes_per_scenario: 5,
variation: {},
record: {viewport: true, cameras: true},
engine: 'isaac_lab',
label: '<string>',
metadata: {},
webhook_metadata: {}
})
};
fetch('https://api.kiteml.com/v1/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kiteml.com/v1/evaluations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'policy' => [
'type' => 'gr00t',
'hf_repo' => '<string>',
'hf_subdir' => '<string>',
'training_run_id' => '<string>',
'embodiment_tag' => '<string>',
'config_yaml' => '<string>'
],
'scenarios' => [
'<string>'
],
'episodes_per_scenario' => 5,
'variation' => [
],
'record' => [
'viewport' => true,
'cameras' => true
],
'engine' => 'isaac_lab',
'label' => '<string>',
'metadata' => [
],
'webhook_metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kiteml.com/v1/evaluations"
payload := strings.NewReader("{\n \"policy\": {\n \"type\": \"gr00t\",\n \"hf_repo\": \"<string>\",\n \"hf_subdir\": \"<string>\",\n \"training_run_id\": \"<string>\",\n \"embodiment_tag\": \"<string>\",\n \"config_yaml\": \"<string>\"\n },\n \"scenarios\": [\n \"<string>\"\n ],\n \"episodes_per_scenario\": 5,\n \"variation\": {},\n \"record\": {\n \"viewport\": true,\n \"cameras\": true\n },\n \"engine\": \"isaac_lab\",\n \"label\": \"<string>\",\n \"metadata\": {},\n \"webhook_metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kiteml.com/v1/evaluations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"policy\": {\n \"type\": \"gr00t\",\n \"hf_repo\": \"<string>\",\n \"hf_subdir\": \"<string>\",\n \"training_run_id\": \"<string>\",\n \"embodiment_tag\": \"<string>\",\n \"config_yaml\": \"<string>\"\n },\n \"scenarios\": [\n \"<string>\"\n ],\n \"episodes_per_scenario\": 5,\n \"variation\": {},\n \"record\": {\n \"viewport\": true,\n \"cameras\": true\n },\n \"engine\": \"isaac_lab\",\n \"label\": \"<string>\",\n \"metadata\": {},\n \"webhook_metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kiteml.com/v1/evaluations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"policy\": {\n \"type\": \"gr00t\",\n \"hf_repo\": \"<string>\",\n \"hf_subdir\": \"<string>\",\n \"training_run_id\": \"<string>\",\n \"embodiment_tag\": \"<string>\",\n \"config_yaml\": \"<string>\"\n },\n \"scenarios\": [\n \"<string>\"\n ],\n \"episodes_per_scenario\": 5,\n \"variation\": {},\n \"record\": {\n \"viewport\": true,\n \"cameras\": true\n },\n \"engine\": \"isaac_lab\",\n \"label\": \"<string>\",\n \"metadata\": {},\n \"webhook_metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}Authorizations
A Kite API key (kite_...), from Platform API → Keys in the dashboard.
Headers
Maximum string length:
255The dated contract your code was written against. Without it you get 2026-09-27; every response says which version served it.
Available options:
2026-09-27 Body
application/json
Show child attributes
Show child attributes
Required array length:
1 - 50 elementsRequired range:
1 <= x <= 100{seed, object_set, pose_noise_cm, lighting, …}
Show child attributes
Show child attributes
explicit; results are never averaged across engines
Maximum string length:
120Response
Successful Response
⌘I
Create Evaluation
curl --request POST \
--url https://api.kiteml.com/v1/evaluations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"policy": {
"type": "gr00t",
"hf_repo": "<string>",
"hf_subdir": "<string>",
"training_run_id": "<string>",
"embodiment_tag": "<string>",
"config_yaml": "<string>"
},
"scenarios": [
"<string>"
],
"episodes_per_scenario": 5,
"variation": {},
"record": {
"viewport": true,
"cameras": true
},
"engine": "isaac_lab",
"label": "<string>",
"metadata": {},
"webhook_metadata": {}
}
'import requests
url = "https://api.kiteml.com/v1/evaluations"
payload = {
"policy": {
"type": "gr00t",
"hf_repo": "<string>",
"hf_subdir": "<string>",
"training_run_id": "<string>",
"embodiment_tag": "<string>",
"config_yaml": "<string>"
},
"scenarios": ["<string>"],
"episodes_per_scenario": 5,
"variation": {},
"record": {
"viewport": True,
"cameras": True
},
"engine": "isaac_lab",
"label": "<string>",
"metadata": {},
"webhook_metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
policy: {
type: 'gr00t',
hf_repo: '<string>',
hf_subdir: '<string>',
training_run_id: '<string>',
embodiment_tag: '<string>',
config_yaml: '<string>'
},
scenarios: ['<string>'],
episodes_per_scenario: 5,
variation: {},
record: {viewport: true, cameras: true},
engine: 'isaac_lab',
label: '<string>',
metadata: {},
webhook_metadata: {}
})
};
fetch('https://api.kiteml.com/v1/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kiteml.com/v1/evaluations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'policy' => [
'type' => 'gr00t',
'hf_repo' => '<string>',
'hf_subdir' => '<string>',
'training_run_id' => '<string>',
'embodiment_tag' => '<string>',
'config_yaml' => '<string>'
],
'scenarios' => [
'<string>'
],
'episodes_per_scenario' => 5,
'variation' => [
],
'record' => [
'viewport' => true,
'cameras' => true
],
'engine' => 'isaac_lab',
'label' => '<string>',
'metadata' => [
],
'webhook_metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kiteml.com/v1/evaluations"
payload := strings.NewReader("{\n \"policy\": {\n \"type\": \"gr00t\",\n \"hf_repo\": \"<string>\",\n \"hf_subdir\": \"<string>\",\n \"training_run_id\": \"<string>\",\n \"embodiment_tag\": \"<string>\",\n \"config_yaml\": \"<string>\"\n },\n \"scenarios\": [\n \"<string>\"\n ],\n \"episodes_per_scenario\": 5,\n \"variation\": {},\n \"record\": {\n \"viewport\": true,\n \"cameras\": true\n },\n \"engine\": \"isaac_lab\",\n \"label\": \"<string>\",\n \"metadata\": {},\n \"webhook_metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kiteml.com/v1/evaluations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"policy\": {\n \"type\": \"gr00t\",\n \"hf_repo\": \"<string>\",\n \"hf_subdir\": \"<string>\",\n \"training_run_id\": \"<string>\",\n \"embodiment_tag\": \"<string>\",\n \"config_yaml\": \"<string>\"\n },\n \"scenarios\": [\n \"<string>\"\n ],\n \"episodes_per_scenario\": 5,\n \"variation\": {},\n \"record\": {\n \"viewport\": true,\n \"cameras\": true\n },\n \"engine\": \"isaac_lab\",\n \"label\": \"<string>\",\n \"metadata\": {},\n \"webhook_metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kiteml.com/v1/evaluations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"policy\": {\n \"type\": \"gr00t\",\n \"hf_repo\": \"<string>\",\n \"hf_subdir\": \"<string>\",\n \"training_run_id\": \"<string>\",\n \"embodiment_tag\": \"<string>\",\n \"config_yaml\": \"<string>\"\n },\n \"scenarios\": [\n \"<string>\"\n ],\n \"episodes_per_scenario\": 5,\n \"variation\": {},\n \"record\": {\n \"viewport\": true,\n \"cameras\": true\n },\n \"engine\": \"isaac_lab\",\n \"label\": \"<string>\",\n \"metadata\": {},\n \"webhook_metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}